Package Details: pd-l2ork 20190812.r1771.42cedfa8-2

Git Clone URL: https://aur.archlinux.org/pd-l2ork.git (read-only, click to copy)
Package Base: pd-l2ork
Description: L2Ork (Linux Laptop Orchestra) version of PureData
Upstream URL: http://l2ork.music.vt.edu/main/?page_id=56
Licenses: BSD
Conflicts: pd-l2ork
Submitter: paum
Maintainer: pure-aur
Last Packager: pure-aur
Votes: 9
Popularity: 0.000000
First Submitted: 2013-01-28 10:47
Last Updated: 2019-08-12 16:32

Dependencies (43)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

rvega commented on 2015-09-16 17:17

Thank you!

rvega commented on 2015-09-16 16:35

Thanl you @aggraef :)

I was able to build and run pd-l2ork but there is an issue: the Audio and MIDI preferences windows are empty and there are messages about it in the terminal. Also, I installed xapian tcl bindings but there are messages about that missing as well. The same issue happens with the binaries from the purelang bitbucket repo.

I'm not sure if this is the right place to report this. If not, please tell me where the right place is and I'll post there and delete this comment.

Output log: https://gist.github.com/rvega/3e5780384e333bd1825c

aggraef commented on 2015-09-15 17:20

Resubmitted all missing dependencies, including the optional xapian-tcl-bindings dependency. flite-fpic still needs some work, but it builds ok if you download its PKGBUILD and run makepkg manually.

aggraef commented on 2015-09-10 16:44

rvega: You're right, seems that these dependencies are gone for good. I'll resubmit them as soon as I find the time. For the time being, please use the flite-fpic, libsndobj-cvs and tkpng PKGBUILDs available here:

https://bitbucket.org/purelang/pkgbuild/src/HEAD/deps/

rvega commented on 2015-08-28 01:18

There are 3 dependencies that are missing from AUR: flite-fpic, libsndobj-cvs and tkpng.

aggraef commented on 2014-11-11 22:43

There seem to be some reasons for this, and the latest revision seems to have some compatible replacement. But I'm the wrong guy (and this is the wrong place) to discuss this, you really need to take it to the l2ork-dev mailing list.

paum commented on 2014-11-11 22:30

why ?? EXCLUDED ?

aggraef commented on 2014-11-11 14:26

paum: Yes, prepend was excluded by upstream, apparently on purpose. Don't ask me why. ;-) I just reported this (again) on the l2ork-dev mailing list. Maybe if some users chime in on this discussion, we can convince Ico to reconsider that decision.

paum commented on 2014-11-11 11:31

ok.thank you. now builds fine.
BUT

cyclone/prepend missing

or I am wrong?

aggraef commented on 2014-11-11 08:12

Should be fixed with the latest revision from upstream. I have also updated the PKGBUILD to accommodate the recent changes.

Please note that the location and naming of pd-l2ork's configuration files has changed in the latest revision. So if you have a custom ~/.pdl2ork then you'll have to copy that to ~/.pd-l2ork/user.settings to get your old config back.